# encoding: utf-8
module Git
  class File
    attr_reader :sha, :name

    def initialize(line)
      @sha, @name = line.split(' ').values_at(3, 5)
      @sha = @sha.gsub(/\./, '')
    end

    def content
      runner = Runner.new("git show #{sha}")
      runner.result.join "\n"
    end
  end
end
